<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->
<div class="d-flex flex-row">
  <span *ngIf="actions?.length === 0 && folders?.length > 0" [innerText]="messages.NO_ACTION_FOR_SELECTED_FOLDERS" class="fst-italic"></span>
  <span
    *ngFor="let action of actions"
    [ngbTooltip]="messages.READING_MANDATORY"
    [disableTooltip]="!((action === actionEnum.Signature || action === secondaryActionEnum.StackedValidation) && isMandatoryReadMissing)">
    <button
      ls-button
      class="me-2"
      size="sm"
      [disabled]="(action === actionEnum.Signature || action === secondaryActionEnum.StackedValidation) && isMandatoryReadMissing"
      (click)="openModal(action)"
      [icon]="action | actionIcon"
      [text]="action | actionName: true">
    </button>
  </span>
</div>
